_VampFeatureList Struct Reference

`#include <vamp.h>`

## Public Attributes

unsigned int | featureCount
| Number of features in this feature list. More...
VampFeatureUnion * | features
| Features in this feature list. More...

## Detailed Description

Definition at line 217 of file vamp.h.

## Member Data Documentation

## featureCount

unsigned int _VampFeatureList::featureCount

Number of features in this feature list.

Definition at line 220 of file vamp.h.

## features

VampFeatureUnion* _VampFeatureList::features

Features in this feature list.

May be NULL if featureCount is zero.

If present, this array must contain featureCount feature structures for a Vamp API version 1 plugin, or 2*featureCount feature unions for a Vamp API version 2 plugin.

The features returned by an API version 2 plugin must consist of the same feature structures as in API version 1 for the first featureCount array elements, followed by featureCount unions that contain VampFeatureV2 structures (or NULL pointers if no V2 feature structures are present).

Definition at line 235 of file vamp.h.

The documentation for this struct was generated from the following file:

- vamp.h